Bug 971821 - vzctl-4.3.1-2.fc18 is FTBFS
vzctl-4.3.1-2.fc18 is FTBFS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: vzctl (Show other bugs)
18
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2013-06-07 06:43 EDT by Dan Horák
Modified: 2013-06-17 21:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: vzctl-4.3.1-3.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-16 02:08:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fix compilation on architectures without support for VZ (1.12 KB, patch)
2013-06-07 07:20 EDT, Andrey Vagin
no flags Details | Diff
Fix compilation on architectures without support for VZ (404 bytes, patch)
2013-06-07 07:23 EDT, Andrey Vagin
no flags Details | Diff

  None (edit)
Description Dan Horák 2013-06-07 06:43:27 EDT
current vzctl fails to build on s390x with

...
  CCLD   arpsend
  CCLD   ndsend
  CCLD   vzcalc
  CCLD   vzcfgvalidate
  CCLD   vzcptcheck
lib/.libs/libvzctl.so: undefined reference to `clean_hardlink_dir'
collect2: error: ld returned 1 exit status
make[2]: *** [vzcalc] Error 1
make[2]: *** Waiting for unfinished jobs....
lib/.libs/libvzctl.so: undefined reference to `clean_hardlink_dir'
collect2: error: ld returned 1 exit status
make[2]: *** [vzcfgvalidate] Error 1
...

The clean_hardlink_dir() function is defined in lib/hooks_vz.c, but this file is compiled only when the kernel support for VZ exists ("if HAVE_VZ_KERNEL" is in Makefile.am).

Version-Release number of selected component (if applicable):
vzctl-4.3.1-2.fc18
Comment 1 Andrey Vagin 2013-06-07 07:20:32 EDT
Created attachment 758136 [details]
Fix compilation on architectures without support for VZ

Dan, thank you for the report. Could you try out this patch?
Comment 2 Andrey Vagin 2013-06-07 07:23:25 EDT
Created attachment 758138 [details]
Fix compilation on architectures without support for VZ
Comment 3 Dan Horák 2013-06-07 07:52:13 EDT
(In reply to Andrey Vagin from comment #2)
> Created attachment 758138 [details]
> Fix compilation on architectures without support for VZ

yes, this patch fixes the build. Maybe there would be a better place for the fallback implementation of clean_hardlink_dir() as there are 2 places where it is used - env.c and cpt.c.
Comment 4 Andrey Vagin 2013-06-07 07:59:32 EDT
clean_hardlink_dir makes sense only for VZ kernel. Actually not all VZ specific functionality is moved out in hooks_vz, when this work will be completed, we will remove this workaround.
Comment 5 Dan Horák 2013-06-07 09:12:16 EDT
(In reply to Andrey Vagin from comment #4)
> clean_hardlink_dir makes sense only for VZ kernel. Actually not all VZ
> specific functionality is moved out in hooks_vz, when this work will be
> completed, we will remove this workaround.

no objections :-) Are you going to build updates packages with this workaround included or should I take care of it?
Comment 6 Fedora Update System 2013-06-07 14:14:09 EDT
vzctl-4.3.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/vzctl-4.3.1-3.fc18
Comment 7 Fedora Update System 2013-06-07 14:14:18 EDT
vzctl-4.3.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/vzctl-4.3.1-3.fc19
Comment 8 Fedora Update System 2013-06-07 22:58:55 EDT
Package vzctl-4.3.1-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vzctl-4.3.1-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10371/vzctl-4.3.1-3.fc19
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-06-16 02:08:30 EDT
vzctl-4.3.1-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-06-17 21:38:01 EDT
vzctl-4.3.1-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.